export type SSEOptions = {
    headers?: Record<string, any>;
    payload?: any;
    method?: string;
    withCredentials?: number|boolean;
}

export class SSE {
    url: string;
    xhr: XMLHttpRequest;
    readyState: number;
    progress: number;
    chunk: string;

    constructor(url: string, options?: SSEOptions);
    addEventListener(type: string, listener: (e: any) => any): void;
    removeEventListener(type: string, listener: (e: any) => any): void;
    dispatchEvent(e: any): boolean;
    stream(): void;
    close(): void;
}